from flask import Flask, render_template
from flask_sock import Sock
import simple_websocket

app = Flask(__name__)
sock = Sock(app)

@sock.route('/echo')
def echo(sock):
    print('New echo client')
    try:
        while True:
            data = sock.receive()
            sock.send(data)
    except simple_websocket.ConnectionClosed:
        print("Client closed the connection")
